Known browser compatibility issues

We do our best to support all major browsers. However, we can't test everywhere. We expect that the latest versions of Chrome and Firefox should work fine on all major platforms (Windows, Mac OSX, Linux). We have positive experience with Opera on Windows and Linux. We do not support IE6 and do not recommend other versions of Internet Explorer, although we do fix issues with IE 9/10.

A short list of issues we're aware of:

Internet Explorer

  1. "Native" PDF embedding doesn't work even if Adobe plugin is installed. 
    Please use Google Docs viewer to see the result.

Feedback and Knowledge Base